Loading...
Searching...
No Matches
Ogre::ColourFaderAffector2 Class Reference
Plugins » ParticleFX

`#include <OgreColourFaderAffector2.h>`

Inheritance diagram for Ogre::ColourFaderAffector2:
[legend]

## Classes

class | CmdAlphaAdjust1
| Command object for alpha adjust (see ParamCommand). More...
class | CmdAlphaAdjust2
| Command object for alpha adjust (see ParamCommand). More...
class | CmdBlueAdjust1
| Command object for blue adjust (see ParamCommand). More...
class | CmdBlueAdjust2
| Command object for blue adjust (see ParamCommand). More...
class | CmdGreenAdjust1
| Command object for green adjust (see ParamCommand). More...
class | CmdGreenAdjust2
| Command object for green adjust (see ParamCommand). More...
class | CmdRedAdjust1
| Command object for red adjust (see ParamCommand). More...
class | CmdRedAdjust2
| Command object for red adjust (see ParamCommand). More...
class | CmdStateChange
| Command object for alpha adjust (see ParamCommand). More...

## Public Member Functions

| ColourFaderAffector2 (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| Method called to allow the affector to 'do it's stuff' on all active particles in the system.
float | getAlphaAdjust1 (void) const
| Gets the alpha adjustment to be made per second to particles.
float | getAlphaAdjust2 (void) const
float | getBlueAdjust1 (void) const
| Gets the blue adjustment to be made per second to particles.
float | getBlueAdjust2 (void) const
float | getGreenAdjust1 (void) const
| Gets the green adjustment to be made per second to particles.
float | getGreenAdjust2 (void) const
float | getRedAdjust1 (void) const
| Gets the red adjustment to be made per second to particles.
float | getRedAdjust2 (void) const
Real | getStateChange (void) const
void | setAdjust1 (float red, float green, float blue, float alpha=0.0)
| Sets the colour adjustment to be made per second to particles.
void | setAdjust2 (float red, float green, float blue, float alpha=0.0)
void | setAlphaAdjust1 (float alpha)
| Sets the alpha adjustment to be made per second to particles.
void | setAlphaAdjust2 (float alpha)
void | setBlueAdjust1 (float blue)
| Sets the blue adjustment to be made per second to particles.
void | setBlueAdjust2 (float blue)
void | setGreenAdjust1 (float green)
| Sets the green adjustment to be made per second to particles.
void | setGreenAdjust2 (float green)
void | setRedAdjust1 (float red)
| Sets the red adjustment to be made per second to particles.
void | setRedAdjust2 (float red)
void | setStateChange (Real NewValue)
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
virtual void | _initParticle (Particle *pParticle)
| Method called to allow the affector to initialize all newly created particles in the system.
const String & | getType (void) const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary (void)
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary (void) const
String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.
bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes

static CmdAlphaAdjust1 | msAlphaCmd1
static CmdAlphaAdjust2 | msAlphaCmd2
static CmdBlueAdjust1 | msBlueCmd1
static CmdBlueAdjust2 | msBlueCmd2
static CmdGreenAdjust1 | msGreenCmd1
static CmdGreenAdjust2 | msGreenCmd2
static CmdRedAdjust1 | msRedCmd1
static CmdRedAdjust2 | msRedCmd2
static CmdStateChange | msStateCmd

## Additional Inherited Members

Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Constructor & Destructor Documentation

## ColourFaderAffector2()

Ogre::ColourFaderAffector2::ColourFaderAffector2 | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## _affectParticles()

void Ogre::ColourFaderAffector2::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )

override virtual

Method called to allow the affector to 'do it's stuff' on all active particles in the system.

This is where the affector gets the chance to apply it's effects to the particles of a system. The affector is expected to apply it's effect to some or all of the particles in the system passed to it, depending on the affector's approach.

Parameters

  pSystem | Pointer to a ParticleSystem to affect.
  timeElapsed | The number of seconds which have elapsed since the last call.

Implements Ogre::ParticleAffector.

## setAdjust1()

void Ogre::ColourFaderAffector2::setAdjust1 | ( | float | red,
|  | float | green,
|  | float | blue,
|  | float | alpha = 0.0 )

Sets the colour adjustment to be made per second to particles.

Parameters

  red,green,blue,alpha | Sets the adjustment to be made to each of the colour components per second. These values will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## setAdjust2()

void Ogre::ColourFaderAffector2::setAdjust2 | ( | float | red,
|  | float | green,
|  | float | blue,
|  | float | alpha = 0.0 )

## setRedAdjust1()

void Ogre::ColourFaderAffector2::setRedAdjust1 | ( | float | red | ) |

Sets the red adjustment to be made per second to particles.

Parameters

  red | The adjustment to be made to the colour component per second. This value will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## setRedAdjust2()

void Ogre::ColourFaderAffector2::setRedAdjust2 | ( | float | red | ) |

## getRedAdjust1()

float Ogre::ColourFaderAffector2::getRedAdjust1 | ( | void |  | ) | const

Gets the red adjustment to be made per second to particles.

## getRedAdjust2()

float Ogre::ColourFaderAffector2::getRedAdjust2 | ( | void |  | ) | const

## setGreenAdjust1()

void Ogre::ColourFaderAffector2::setGreenAdjust1 | ( | float | green | ) |

Sets the green adjustment to be made per second to particles.

Parameters

  green | The adjustment to be made to the colour component per second. This value will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## setGreenAdjust2()

void Ogre::ColourFaderAffector2::setGreenAdjust2 | ( | float | green | ) |

## getGreenAdjust1()

float Ogre::ColourFaderAffector2::getGreenAdjust1 | ( | void |  | ) | const

Gets the green adjustment to be made per second to particles.

## getGreenAdjust2()

float Ogre::ColourFaderAffector2::getGreenAdjust2 | ( | void |  | ) | const

## setBlueAdjust1()

void Ogre::ColourFaderAffector2::setBlueAdjust1 | ( | float | blue | ) |

Sets the blue adjustment to be made per second to particles.

Parameters

  blue | The adjustment to be made to the colour component per second. This value will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## setBlueAdjust2()

void Ogre::ColourFaderAffector2::setBlueAdjust2 | ( | float | blue | ) |

## getBlueAdjust1()

float Ogre::ColourFaderAffector2::getBlueAdjust1 | ( | void |  | ) | const

Gets the blue adjustment to be made per second to particles.

## getBlueAdjust2()

float Ogre::ColourFaderAffector2::getBlueAdjust2 | ( | void |  | ) | const

## setAlphaAdjust1()

void Ogre::ColourFaderAffector2::setAlphaAdjust1 | ( | float | alpha | ) |

Sets the alpha adjustment to be made per second to particles.

Parameters

  alpha | The adjustment to be made to the colour component per second. This value will be added to the colour of all particles every second, scaled over each frame for a smooth adjustment.

## setAlphaAdjust2()

void Ogre::ColourFaderAffector2::setAlphaAdjust2 | ( | float | alpha | ) |

## getAlphaAdjust1()

float Ogre::ColourFaderAffector2::getAlphaAdjust1 | ( | void |  | ) | const

Gets the alpha adjustment to be made per second to particles.

## getAlphaAdjust2()

float Ogre::ColourFaderAffector2::getAlphaAdjust2 | ( | void |  | ) | const

## setStateChange()

void Ogre::ColourFaderAffector2::setStateChange | ( | Real | NewValue | ) |

## getStateChange()

Real Ogre::ColourFaderAffector2::getStateChange | ( | void |  | ) | const

## Member Data Documentation

## msRedCmd1

CmdRedAdjust1 Ogre::ColourFaderAffector2::msRedCmd1

static

## msRedCmd2

CmdRedAdjust2 Ogre::ColourFaderAffector2::msRedCmd2

static

## msGreenCmd1

CmdGreenAdjust1 Ogre::ColourFaderAffector2::msGreenCmd1

static

## msGreenCmd2

CmdGreenAdjust2 Ogre::ColourFaderAffector2::msGreenCmd2

static

## msBlueCmd1

CmdBlueAdjust1 Ogre::ColourFaderAffector2::msBlueCmd1

static

## msBlueCmd2

CmdBlueAdjust2 Ogre::ColourFaderAffector2::msBlueCmd2

static

## msAlphaCmd1

CmdAlphaAdjust1 Ogre::ColourFaderAffector2::msAlphaCmd1

static

## msAlphaCmd2

CmdAlphaAdjust2 Ogre::ColourFaderAffector2::msAlphaCmd2

static

## msStateCmd

CmdStateChange Ogre::ColourFaderAffector2::msStateCmd

static

The documentation for this class was generated from the following file:

- OgreColourFaderAffector2.h